Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class DHUPrivateParameters

    java.lang.Object
      org.bouncycastle.crypto.params.DHUPrivateParameters

All Implemented Interfaces:
  CipherParameters

public class DHUPrivateParameters
extends java.lang.Object
implements CipherParameters

Parameters holder for private unified static/ephemeral agreement as described in NIST SP 800-56A.

Constructor Summary
`DHUPrivateParameters(DHPrivateKeyParameters staticPrivateKey, DHPrivateKeyParameters ephemeralPrivateKey)`
`DHUPrivateParameters(DHPrivateKeyParameters staticPrivateKey, DHPrivateKeyParameters ephemeralPrivateKey, DHPublicKeyParameters ephemeralPublicKey)`

Method Summary
`DHPrivateKeyParameters` | `getEphemeralPrivateKey()`
`DHPublicKeyParameters` | `getEphemeralPublicKey()`
`DHPrivateKeyParameters` | `getStaticPrivateKey()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DHUPrivateParameters

    public DHUPrivateParameters(DHPrivateKeyParameters staticPrivateKey,
                                DHPrivateKeyParameters ephemeralPrivateKey)

### DHUPrivateParameters

    public DHUPrivateParameters(DHPrivateKeyParameters staticPrivateKey,
                                DHPrivateKeyParameters ephemeralPrivateKey,
                                DHPublicKeyParameters ephemeralPublicKey)

Method Detail

### getStaticPrivateKey

    public DHPrivateKeyParameters getStaticPrivateKey()

### getEphemeralPrivateKey

    public DHPrivateKeyParameters getEphemeralPrivateKey()

### getEphemeralPublicKey

    public DHPublicKeyParameters getEphemeralPublicKey()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD